POST api/document/document-list

Request Information

URI Parameters

None.

Body Parameters

DocumentListViewModel
NameDescriptionTypeAdditional information
userId

integer

None.

searchInId

integer

None.

searchTypeId

integer

None.

searchText

string

None.

belongdTo

integer

None.

pageSize

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "userId": 1,
  "searchInId": 2,
  "searchTypeId": 3,
  "searchText": "sample string 4",
  "belongdTo": 5,
  "pageSize": 6
}

application/xml, text/xml

Sample:
<DocumentListViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DMS.API.Models.RequestModel">
  <belongdTo>5</belongdTo>
  <pageSize>6</pageSize>
  <searchInId>2</searchInId>
  <searchText>sample string 4</searchText>
  <searchTypeId>3</searchTypeId>
  <userId>1</userId>
</DocumentListViewModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.